'use strict';

var chunkXAK7GFTD_cjs = require('./chunk-XAK7GFTD.cjs');
var chunkCCKQSGIR_cjs = require('./chunk-CCKQSGIR.cjs');

// src/client/vanilla.ts
function createAuthClient(options) {
  const {
    pluginPathMethods,
    pluginsActions,
    pluginsAtoms,
    $fetch,
    atomListeners,
    $store
  } = chunkXAK7GFTD_cjs.getClientConfig(options);
  let resolvedHooks = {};
  for (const [key, value] of Object.entries(pluginsAtoms)) {
    resolvedHooks[`use${chunkCCKQSGIR_cjs.capitalizeFirstLetter(key)}`] = value;
  }
  const routes = {
    ...pluginsActions,
    ...resolvedHooks,
    $fetch,
    $store
  };
  const proxy = chunkXAK7GFTD_cjs.createDynamicPathProxy(
    routes,
    $fetch,
    pluginPathMethods,
    pluginsAtoms,
    atomListeners
  );
  return proxy;
}

// src/client/index.ts
var InferPlugin = () => {
  return {
    id: "infer-server-plugin",
    $InferServerPlugin: {}
  };
};

exports.InferPlugin = InferPlugin;
exports.createAuthClient = createAuthClient;
